Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 611630 - Budget Report will not run
Budget Report will not run
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-05 21:09 EDT by mspadazzi
Modified: 2014-03-16 23:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:57:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 623467 None None None Never

  None (edit)
Description mspadazzi 2010-07-05 21:09:26 EDT
Description of problem:

When running a budget report, receive error: "Report Error  An error occurred while running the report."

The console output is as follows:

In /usr/share/gnucash/guile-modules/gnucash/report/standard-reports/budget.scm:
 162: 24  (let* (# # # # ...) (letrec # #))
    ...
 472: 25  (let* (# # # ...) (#<procedure while-helper #> #) ...)
 498: 26* (while (< rownum num-rows) (let* # # #))
 498: 27  [while-helper #<procedure #f (break continue)>]
In unknown file:
   ?: 28  (do ((key (make-symbol "while-key"))) ((catch key (lambda () #) ...)))
   ?: 29* [catch #<uninterned-symbol while-key af41e4b0> #<procedure #f ()> ...]
   ?: 30* [#<procedure #f ()>]
   ?: 31* [#<procedure #f (break continue)> #<procedure #f ()> #<procedure #f ()>]
   ?: 32* (do () ((#<primitive-procedure not> (< rownum num-rows))) ...)
In /usr/share/gnucash/guile-modules/gnucash/report/standard-reports/budget.scm:
 499: 33* (let* (# # #) (gnc:html-table-add-budget-line! html-table rownum ...) ...)
 506: 34* [gnc:html-table-add-budget-line! # 0 1 ...]
 246: 35  (let* (# # # # ...) (letrec # #))
In unknown file:
    ...
   ?: 36  [while-helper #<procedure #f (break continue)>]
   ?: 37  (do ((key (make-symbol "while-key"))) ((catch key (lambda () #) ...)))
   ?: 38* [catch #<uninterned-symbol while-key af41e410> #<procedure #f ()> ...]
   ?: 39* [#<procedure #f ()>]
   ?: 40* [#<procedure #f (break continue)> #<procedure #f ()> #<procedure #f ()>]
   ?: 41* (do () ((#<primitive-procedure not> (not #))) ...)
In /usr/share/gnucash/guile-modules/gnucash/report/standard-reports/budget.scm:
 355: 42* (let* ((col-info #)) (cond (# #) (# #) ...) ...)
 356: 43* (cond (# #) (# #) (t #))
/usr/share/gnucash/guile-modules/gnucash/report/standard-reports/budget.scm:356:11: In expression (cond (# #) (# #) ...):
/usr/share/gnucash/guile-modules/gnucash/report/standard-reports/budget.scm:356:11: Unbound variable: t



Version-Release number of selected component (if applicable):

gnucash 2.3.13 r19217
package version 2.3.13-1.fc13(i686)

How reproducible:

Create and save a budget and attempt run the report (Reports > Budget > Budget Report).  I was unable to get it to produce a report at all (tried a filled-in budget, a blank budget, an annual budget, a monthly budget, different style sheets, etc).

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Always get error as described.

Expected results:

Get a budget report.

Additional info:
Another user submitted same bug to gnucash dev team.  That user was also running FC13.  I am submitting this here in case it is a packaging problem instead of an upstream problem.
Comment 1 Bug Zapper 2011-06-01 10:39:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-29 09:57:40 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.